virt-viewer in oneiric doesn't show the VM name in the title

Bug #842317 reported by Micah Gersten on 2011-09-06
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
virt-viewer (Fedora)
Won't Fix
Undecided
virt-viewer (Ubuntu)
Low
Jamie Strandboge
Oneiric
Low
Jamie Strandboge

Bug Description

In natty, the VM name was shown in the title bar. Now in oneiric it just shows virt-viewer.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: virt-viewer 0.4.1-1
ProcVersionSignature: Ubuntu 3.0.0-10.16-generic 3.0.4
Uname: Linux 3.0.0-10-generic x86_64
Architecture: amd64
Date: Mon Sep 5 22:40:26 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: virt-viewer
UpgradeStatus: Upgraded to oneiric on 2011-09-04 (1 days ago)

Micah Gersten (micahg) wrote :
Changed in virt-viewer (Ubuntu):
status: New → Confirmed
Jamie Strandboge (jdstrand) wrote :

This is not unity specific, as I see the same issue in xfce session (tested in a VM).

This is forwarded from https://launchpad.net/bugs/842317.

With virt-viewer 0.2.1 and gtk-vnc 0.4.3 on Ubuntu 11.04, after launching a VM and connecting with virt-viewer, the name of the VM would be in the title bar (eg 'qatest-i386 - Virt Viewer'). After upgrading to virt-viewer 0.4.1 (still gtk-vnc 0.4.3) on Ubuntu 11.10, the title of the virt-viewer window is simply 'Virt Viewer'. This was tested and confirmed as a problem in both Unity and Xfce.

Micah Gersten (micahg) wrote :

Marking triaged as this bug has been upstreamed. Added oneiric task per bug control rules of adding tasks for regressions on each release they occur on.

tags: added: regression-release
Changed in virt-viewer (Ubuntu Oneiric):
importance: Undecided → Low
status: Confirmed → Triaged

Fixed upstream with this patch:

commit 46cf6410c11dc8369dcf74283656f4bb0e14be8a
Author: Daniel P. Berrange <email address hidden>
Date: Fri Sep 16 10:57:53 2011 +0100

    Fix setting of window title with domain name

The patch also ensures that with multi-headed SPICE displays each window gets the display number included in the title.

Changed in virt-viewer (Ubuntu Oneiric):
assignee: nobody → Jamie Strandboge (jdstrand)
status: Triaged → In Progress

Thanks! It works great. :)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virt-viewer - 0.4.1-1ubuntu1

---------------
virt-viewer (0.4.1-1ubuntu1) oneiric; urgency=low

  * 0003-set-window-title-with-domain-name.patch: Fix setting of initial zoom
    level on display (LP: #842317)
  * fix zoom issues:
    - 0001-initial-zoom.patch: Fix setting of initial zoom level on display
    - 0002-propagate-primary-window-zoom.patch: Propagate primary window zoom
      level to secondary windows
 -- Jamie Strandboge <email address hidden> Fri, 16 Sep 2011 06:06:39 -0500

Changed in virt-viewer (Ubuntu Oneiric):
status: In Progress → Fix Released
Changed in virt-viewer (Fedora):
importance: Unknown → Undecided
status: Unknown → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.